<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui">
<f:metadata>
	<f:event listener="#{beanSegLogin.actionVerificarLogin()}"
		type="preRenderView"></f:event>
</f:metadata>
<h:head></h:head>
<body>
	<p:growl>
		<p:autoUpdate/>
	</p:growl>
	<h:form>
		<p:menubar>
			<p:menuitem value="Regresar" icon="pi pi-home"
				action="/menu?faces-redirect=true" />
			<p:menuitem value="Usuarios" icon="pi pi-users"
				action="#{beanSegUsuarios.actionMenuUsuarios()}" />
			<p:menuitem value="Proformas" icon="pi pi-dollar"
				action="#{beanUniVendedor.actionCargarProforma()}" />
			<p:menuitem value="Uniformes" icon="pi pi-tags"
				action="#{beanSegModulos.actionCargarMenuModulos()}" />
			<p:menuitem value="Reclamo" icon="pi pi-question-circle"
				action="#{beanSegAsignaciones.actionMenuAsignaciones()}" />
			<f:facet name="options">
				<p:menuButton value="#{beanSegLogin.loginDTO.correo}"
					icon="pi pi-user">
					<p:menuitem value="Perfil" icon="pi pi-cog"></p:menuitem>
					<p:menuitem value="Cerrar sesión" icon="pi pi-sign-out"
						action="#{beanSegLogin.actionCerrarSesion()}"></p:menuitem>
				</p:menuButton>
			</f:facet>
		</p:menubar>
		<p:staticMessage severity="info" summary="Ventas"></p:staticMessage>
	</h:form>
	<div>
	
	
	<h:form id="formTabla">

		<p:dataTable value="#{beanUniVendedor.listaProformas}" var="p">
			<p:column headerText="ID" style="width:40px">
				<h:outputText value="#{p.proId}"/>
			</p:column>
			<p:column headerText="CLIENTE">
							<h:outputText  value="#{p.uniCliente}"/>
			
			</p:column>
			
			<p:column headerText="FECHA ENTREGA" >
							<h:outputText  value="#{p.proFechaentrega}"/>
			</p:column>
			<p:column headerText="TOTAL" >
							<h:outputText  value="#{p.proTotal}"/>
			</p:column>
			<p:column headerText="ESTADO" >
				<p:selectOneMenu value="#{p.proEstado}">
				<f:selectItem itemLabel="#{p.proEstado}" noSelectionOption="true"/>
					<f:selectItems value="#{beanUniVendedor.proEstado}" var="e" 
					itemLabel="#{e}" itemValue="#{e}"/>
				</p:selectOneMenu>
			</p:column>

						<p:column headerText="OPCIONES" style="width:400px">
							<p:commandButton title="Estado" value="Actualizar Estado" icon="pi pi-pencil"
							actionListener="#{beanUniVendedor.actionListenerInsertarProforma(p)}" style="margin: 10px"/>	
							<p:commandButton title="DETALLE" value="Detalle" icon="pi pi-list"
							actionListener="#{beanPryGerente.actionListenerActualizarEstado(p)}" style="margin: 10px"/>			
			</p:column>
			
		</p:dataTable>
	</h:form>
	</div>
</body>
</html>
